package es.uv.saic.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.Wiki;
import es.uv.saic.domain.WikiRepository;

@Service
public class WikiService {
	
	@Autowired
	private WikiRepository wr;

	public Wiki findByCategoria(String categoria) {
		return this.wr.findByCategoria(categoria);
	}
	
	public Wiki save(Wiki w) {
		return this.wr.saveAndFlush(w);
	}
}
